published on Thursday, Apr 23, 2026 by Volcengine
published on Thursday, Apr 23, 2026 by Volcengine
Corresponds to Node in Kubernetes, which is the basic element of a Container Service cluster. Nodes mainly include: Master nodes (control nodes) and Worker nodes (compute nodes/worker nodes). Applications are actually deployed on Worker nodes, supporting random deployment on Worker nodes or deployment on specified Worker nodes through configuration. In Container Service, node generally refers to Worker node.
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as volcenginecc from "@volcengine/pulumi-volcenginecc";
const vkeNodeDemo = new volcenginecc.vke.Node("VkeNodeDemo", {
additionalContainerStorageEnabled: false,
clusterId: "cd5rdfs5ixxxxxotsc2g",
containerStoragePath: "",
instanceId: "i-yeekjuixxxxx4je5vfr",
keepInstanceName: true,
nodePoolId: "pd5s9srqxxxxxo88e621g",
});
import pulumi
import pulumi_volcenginecc as volcenginecc
vke_node_demo = volcenginecc.vke.Node("VkeNodeDemo",
additional_container_storage_enabled=False,
cluster_id="cd5rdfs5ixxxxxotsc2g",
container_storage_path="",
instance_id="i-yeekjuixxxxx4je5vfr",
keep_instance_name=True,
node_pool_id="pd5s9srqxxxxxo88e621g")
package main
import (
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
"github.com/volcengine/pulumi-volcenginecc/sdk/go/volcenginecc/vke"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := vke.NewNode(ctx, "VkeNodeDemo", &vke.NodeArgs{
AdditionalContainerStorageEnabled: pulumi.Bool(false),
ClusterId: pulumi.String("cd5rdfs5ixxxxxotsc2g"),
ContainerStoragePath: pulumi.String(""),
InstanceId: pulumi.String("i-yeekjuixxxxx4je5vfr"),
KeepInstanceName: pulumi.Bool(true),
NodePoolId: pulumi.String("pd5s9srqxxxxxo88e621g"),
})
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Volcenginecc = Volcengine.Pulumi.Volcenginecc;
return await Deployment.RunAsync(() =>
{
var vkeNodeDemo = new Volcenginecc.Vke.Node("VkeNodeDemo", new()
{
AdditionalContainerStorageEnabled = false,
ClusterId = "cd5rdfs5ixxxxxotsc2g",
ContainerStoragePath = "",
InstanceId = "i-yeekjuixxxxx4je5vfr",
KeepInstanceName = true,
NodePoolId = "pd5s9srqxxxxxo88e621g",
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.volcengine.volcenginecc.vke.Node;
import com.volcengine.volcenginecc.vke.NodeArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
var vkeNodeDemo = new Node("vkeNodeDemo", NodeArgs.builder()
.additionalContainerStorageEnabled(false)
.clusterId("cd5rdfs5ixxxxxotsc2g")
.containerStoragePath("")
.instanceId("i-yeekjuixxxxx4je5vfr")
.keepInstanceName(true)
.nodePoolId("pd5s9srqxxxxxo88e621g")
.build());
}
}
resources:
vkeNodeDemo:
type: volcenginecc:vke:Node
name: VkeNodeDemo
properties:
additionalContainerStorageEnabled: false
clusterId: cd5rdfs5ixxxxxotsc2g
containerStoragePath: ""
instanceId: i-yeekjuixxxxx4je5vfr
keepInstanceName: true
nodePoolId: pd5s9srqxxxxxo88e621g
Create Node Resource
Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.
Constructor syntax
new Node(name: string, args: NodeArgs, opts?: CustomResourceOptions);@overload
def Node(resource_name: str,
args: NodeArgs,
opts: Optional[ResourceOptions] = None)
@overload
def Node(resource_name: str,
opts: Optional[ResourceOptions] = None,
cluster_id: Optional[str] = None,
node_pool_id: Optional[str] = None,
additional_container_storage_enabled: Optional[bool] = None,
container_storage_path: Optional[str] = None,
image_id: Optional[str] = None,
initialize_script: Optional[str] = None,
instance_id: Optional[str] = None,
keep_instance_name: Optional[bool] = None,
kubernetes_config: Optional[NodeKubernetesConfigArgs] = None)func NewNode(ctx *Context, name string, args NodeArgs, opts ...ResourceOption) (*Node, error)public Node(string name, NodeArgs args, CustomResourceOptions? opts = null)type: volcenginecc:vke:Node
properties: # The arguments to resource properties.
options: # Bag of options to control resource's behavior.
Parameters
- name string
- The unique name of the resource.
- args NodeArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- resource_name str
- The unique name of the resource.
- args NodeArgs
- The arguments to resource properties.
- opts ResourceOptions
- Bag of options to control resource's behavior.
- ctx Context
- Context object for the current deployment.
- name string
- The unique name of the resource.
- args NodeArgs
- The arguments to resource properties.
- opts ResourceOption
- Bag of options to control resource's behavior.
- name string
- The unique name of the resource.
- args NodeArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- name String
- The unique name of the resource.
- args NodeArgs
- The arguments to resource properties.
- options CustomResourceOptions
- Bag of options to control resource's behavior.
Constructor example
The following reference example uses placeholder values for all input properties.
var nodeResource = new Volcenginecc.Vke.Node("nodeResource", new()
{
ClusterId = "string",
NodePoolId = "string",
AdditionalContainerStorageEnabled = false,
ContainerStoragePath = "string",
ImageId = "string",
InitializeScript = "string",
InstanceId = "string",
KeepInstanceName = false,
KubernetesConfig = new Volcenginecc.Vke.Inputs.NodeKubernetesConfigArgs
{
Cordon = false,
Labels = new[]
{
new Volcenginecc.Vke.Inputs.NodeKubernetesConfigLabelArgs
{
Key = "string",
Value = "string",
},
},
Taints = new[]
{
new Volcenginecc.Vke.Inputs.NodeKubernetesConfigTaintArgs
{
Effect = "string",
Key = "string",
Value = "string",
},
},
},
});
example, err := vke.NewNode(ctx, "nodeResource", &vke.NodeArgs{
ClusterId: pulumi.String("string"),
NodePoolId: pulumi.String("string"),
AdditionalContainerStorageEnabled: pulumi.Bool(false),
ContainerStoragePath: pulumi.String("string"),
ImageId: pulumi.String("string"),
InitializeScript: pulumi.String("string"),
InstanceId: pulumi.String("string"),
KeepInstanceName: pulumi.Bool(false),
KubernetesConfig: &vke.NodeKubernetesConfigArgs{
Cordon: pulumi.Bool(false),
Labels: vke.NodeKubernetesConfigLabelArray{
&vke.NodeKubernetesConfigLabelArgs{
Key: pulumi.String("string"),
Value: pulumi.String("string"),
},
},
Taints: vke.NodeKubernetesConfigTaintArray{
&vke.NodeKubernetesConfigTaintArgs{
Effect: pulumi.String("string"),
Key: pulumi.String("string"),
Value: pulumi.String("string"),
},
},
},
})
var nodeResource = new Node("nodeResource", NodeArgs.builder()
.clusterId("string")
.nodePoolId("string")
.additionalContainerStorageEnabled(false)
.containerStoragePath("string")
.imageId("string")
.initializeScript("string")
.instanceId("string")
.keepInstanceName(false)
.kubernetesConfig(NodeKubernetesConfigArgs.builder()
.cordon(false)
.labels(NodeKubernetesConfigLabelArgs.builder()
.key("string")
.value("string")
.build())
.taints(NodeKubernetesConfigTaintArgs.builder()
.effect("string")
.key("string")
.value("string")
.build())
.build())
.build());
node_resource = volcenginecc.vke.Node("nodeResource",
cluster_id="string",
node_pool_id="string",
additional_container_storage_enabled=False,
container_storage_path="string",
image_id="string",
initialize_script="string",
instance_id="string",
keep_instance_name=False,
kubernetes_config={
"cordon": False,
"labels": [{
"key": "string",
"value": "string",
}],
"taints": [{
"effect": "string",
"key": "string",
"value": "string",
}],
})
const nodeResource = new volcenginecc.vke.Node("nodeResource", {
clusterId: "string",
nodePoolId: "string",
additionalContainerStorageEnabled: false,
containerStoragePath: "string",
imageId: "string",
initializeScript: "string",
instanceId: "string",
keepInstanceName: false,
kubernetesConfig: {
cordon: false,
labels: [{
key: "string",
value: "string",
}],
taints: [{
effect: "string",
key: "string",
value: "string",
}],
},
});
type: volcenginecc:vke:Node
properties:
additionalContainerStorageEnabled: false
clusterId: string
containerStoragePath: string
imageId: string
initializeScript: string
instanceId: string
keepInstanceName: false
kubernetesConfig:
cordon: false
labels:
- key: string
value: string
taints:
- effect: string
key: string
value: string
nodePoolId: string
Node Resource Properties
To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.
Inputs
In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.
The Node resource accepts the following input properties:
- Cluster
Id string - Cluster ID.
- Node
Pool stringId - Node pool ID. If no parameter value is provided: add existing ECS instances to the default node pool. If a parameter value is provided: add existing ECS instances to a custom node pool.
- Additional
Container boolStorage Enabled - Select the data disk for the node, format and mount it as the storage directory for container images and logs. Values: false (default): Disabled. Default node pool: indicates no data disk is mounted. Custom node pool: mounts according to the node pool's data disk configuration. ECS instance data disks added to the node pool must include the data disk specified for mounting by the target node pool (including local disks), and the disk type and size must match exactly. true: Enabled. You must also configure the ContainerStoragePath parameter. The node mounts according to the configuration in the ContainerStoragePath parameter and ignores the node pool's data disk configuration. There are no special requirements for ECS instance data disks added to the node pool.
- Container
Storage stringPath - Use this data disk device to mount the container and image storage directory /var/lib/containerd. Valid only when AdditionalContainerStorageEnabled=true and cannot be empty. The following conditions must be met, otherwise initialization will fail: Only ECS instances with mounted data disks are supported. When specifying a data disk device name, ensure the device exists, otherwise initialization will fail. When specifying a data disk partition or logical volume name, ensure the partition or logical volume exists and uses the ext4 file system.
- Image
Id string - Image ID used by the ECS instance corresponding to the node.
- Initialize
Script string - Script executed after creating ECS nodes and deploying Kubernetes components. Supports Shell format. Base64-encoded length must not exceed 1 KB. If left empty, the node inherits the default node pool initialization script NodeConfig.InitializeScript. If you enter a custom script, the custom script will be used and the default node pool initialization script will be ignored.
- Instance
Id string - Cloud server instance ID corresponding to the node.
- Keep
Instance boolName - Whether to retain the original ECS instance name. Options: false (default): do not retain the original ECS instance name; Container Service automatically assigns a name. true: retain the original ECS instance name.
- Kubernetes
Config Volcengine.Node Kubernetes Config - Kubernetes-related configuration for the node. If empty, the node inherits the default node pool's Kubernetes configuration: KubernetesConfig.Labels/Taints/Cordon. If custom configuration is provided, the node uses the custom configuration and ignores the default node pool's Kubernetes configuration.
- Cluster
Id string - Cluster ID.
- Node
Pool stringId - Node pool ID. If no parameter value is provided: add existing ECS instances to the default node pool. If a parameter value is provided: add existing ECS instances to a custom node pool.
- Additional
Container boolStorage Enabled - Select the data disk for the node, format and mount it as the storage directory for container images and logs. Values: false (default): Disabled. Default node pool: indicates no data disk is mounted. Custom node pool: mounts according to the node pool's data disk configuration. ECS instance data disks added to the node pool must include the data disk specified for mounting by the target node pool (including local disks), and the disk type and size must match exactly. true: Enabled. You must also configure the ContainerStoragePath parameter. The node mounts according to the configuration in the ContainerStoragePath parameter and ignores the node pool's data disk configuration. There are no special requirements for ECS instance data disks added to the node pool.
- Container
Storage stringPath - Use this data disk device to mount the container and image storage directory /var/lib/containerd. Valid only when AdditionalContainerStorageEnabled=true and cannot be empty. The following conditions must be met, otherwise initialization will fail: Only ECS instances with mounted data disks are supported. When specifying a data disk device name, ensure the device exists, otherwise initialization will fail. When specifying a data disk partition or logical volume name, ensure the partition or logical volume exists and uses the ext4 file system.
- Image
Id string - Image ID used by the ECS instance corresponding to the node.
- Initialize
Script string - Script executed after creating ECS nodes and deploying Kubernetes components. Supports Shell format. Base64-encoded length must not exceed 1 KB. If left empty, the node inherits the default node pool initialization script NodeConfig.InitializeScript. If you enter a custom script, the custom script will be used and the default node pool initialization script will be ignored.
- Instance
Id string - Cloud server instance ID corresponding to the node.
- Keep
Instance boolName - Whether to retain the original ECS instance name. Options: false (default): do not retain the original ECS instance name; Container Service automatically assigns a name. true: retain the original ECS instance name.
- Kubernetes
Config NodeKubernetes Config Args - Kubernetes-related configuration for the node. If empty, the node inherits the default node pool's Kubernetes configuration: KubernetesConfig.Labels/Taints/Cordon. If custom configuration is provided, the node uses the custom configuration and ignores the default node pool's Kubernetes configuration.
- cluster
Id String - Cluster ID.
- node
Pool StringId - Node pool ID. If no parameter value is provided: add existing ECS instances to the default node pool. If a parameter value is provided: add existing ECS instances to a custom node pool.
- additional
Container BooleanStorage Enabled - Select the data disk for the node, format and mount it as the storage directory for container images and logs. Values: false (default): Disabled. Default node pool: indicates no data disk is mounted. Custom node pool: mounts according to the node pool's data disk configuration. ECS instance data disks added to the node pool must include the data disk specified for mounting by the target node pool (including local disks), and the disk type and size must match exactly. true: Enabled. You must also configure the ContainerStoragePath parameter. The node mounts according to the configuration in the ContainerStoragePath parameter and ignores the node pool's data disk configuration. There are no special requirements for ECS instance data disks added to the node pool.
- container
Storage StringPath - Use this data disk device to mount the container and image storage directory /var/lib/containerd. Valid only when AdditionalContainerStorageEnabled=true and cannot be empty. The following conditions must be met, otherwise initialization will fail: Only ECS instances with mounted data disks are supported. When specifying a data disk device name, ensure the device exists, otherwise initialization will fail. When specifying a data disk partition or logical volume name, ensure the partition or logical volume exists and uses the ext4 file system.
- image
Id String - Image ID used by the ECS instance corresponding to the node.
- initialize
Script String - Script executed after creating ECS nodes and deploying Kubernetes components. Supports Shell format. Base64-encoded length must not exceed 1 KB. If left empty, the node inherits the default node pool initialization script NodeConfig.InitializeScript. If you enter a custom script, the custom script will be used and the default node pool initialization script will be ignored.
- instance
Id String - Cloud server instance ID corresponding to the node.
- keep
Instance BooleanName - Whether to retain the original ECS instance name. Options: false (default): do not retain the original ECS instance name; Container Service automatically assigns a name. true: retain the original ECS instance name.
- kubernetes
Config NodeKubernetes Config - Kubernetes-related configuration for the node. If empty, the node inherits the default node pool's Kubernetes configuration: KubernetesConfig.Labels/Taints/Cordon. If custom configuration is provided, the node uses the custom configuration and ignores the default node pool's Kubernetes configuration.
- cluster
Id string - Cluster ID.
- node
Pool stringId - Node pool ID. If no parameter value is provided: add existing ECS instances to the default node pool. If a parameter value is provided: add existing ECS instances to a custom node pool.
- additional
Container booleanStorage Enabled - Select the data disk for the node, format and mount it as the storage directory for container images and logs. Values: false (default): Disabled. Default node pool: indicates no data disk is mounted. Custom node pool: mounts according to the node pool's data disk configuration. ECS instance data disks added to the node pool must include the data disk specified for mounting by the target node pool (including local disks), and the disk type and size must match exactly. true: Enabled. You must also configure the ContainerStoragePath parameter. The node mounts according to the configuration in the ContainerStoragePath parameter and ignores the node pool's data disk configuration. There are no special requirements for ECS instance data disks added to the node pool.
- container
Storage stringPath - Use this data disk device to mount the container and image storage directory /var/lib/containerd. Valid only when AdditionalContainerStorageEnabled=true and cannot be empty. The following conditions must be met, otherwise initialization will fail: Only ECS instances with mounted data disks are supported. When specifying a data disk device name, ensure the device exists, otherwise initialization will fail. When specifying a data disk partition or logical volume name, ensure the partition or logical volume exists and uses the ext4 file system.
- image
Id string - Image ID used by the ECS instance corresponding to the node.
- initialize
Script string - Script executed after creating ECS nodes and deploying Kubernetes components. Supports Shell format. Base64-encoded length must not exceed 1 KB. If left empty, the node inherits the default node pool initialization script NodeConfig.InitializeScript. If you enter a custom script, the custom script will be used and the default node pool initialization script will be ignored.
- instance
Id string - Cloud server instance ID corresponding to the node.
- keep
Instance booleanName - Whether to retain the original ECS instance name. Options: false (default): do not retain the original ECS instance name; Container Service automatically assigns a name. true: retain the original ECS instance name.
- kubernetes
Config NodeKubernetes Config - Kubernetes-related configuration for the node. If empty, the node inherits the default node pool's Kubernetes configuration: KubernetesConfig.Labels/Taints/Cordon. If custom configuration is provided, the node uses the custom configuration and ignores the default node pool's Kubernetes configuration.
- cluster_
id str - Cluster ID.
- node_
pool_ strid - Node pool ID. If no parameter value is provided: add existing ECS instances to the default node pool. If a parameter value is provided: add existing ECS instances to a custom node pool.
- additional_
container_ boolstorage_ enabled - Select the data disk for the node, format and mount it as the storage directory for container images and logs. Values: false (default): Disabled. Default node pool: indicates no data disk is mounted. Custom node pool: mounts according to the node pool's data disk configuration. ECS instance data disks added to the node pool must include the data disk specified for mounting by the target node pool (including local disks), and the disk type and size must match exactly. true: Enabled. You must also configure the ContainerStoragePath parameter. The node mounts according to the configuration in the ContainerStoragePath parameter and ignores the node pool's data disk configuration. There are no special requirements for ECS instance data disks added to the node pool.
- container_
storage_ strpath - Use this data disk device to mount the container and image storage directory /var/lib/containerd. Valid only when AdditionalContainerStorageEnabled=true and cannot be empty. The following conditions must be met, otherwise initialization will fail: Only ECS instances with mounted data disks are supported. When specifying a data disk device name, ensure the device exists, otherwise initialization will fail. When specifying a data disk partition or logical volume name, ensure the partition or logical volume exists and uses the ext4 file system.
- image_
id str - Image ID used by the ECS instance corresponding to the node.
- initialize_
script str - Script executed after creating ECS nodes and deploying Kubernetes components. Supports Shell format. Base64-encoded length must not exceed 1 KB. If left empty, the node inherits the default node pool initialization script NodeConfig.InitializeScript. If you enter a custom script, the custom script will be used and the default node pool initialization script will be ignored.
- instance_
id str - Cloud server instance ID corresponding to the node.
- keep_
instance_ boolname - Whether to retain the original ECS instance name. Options: false (default): do not retain the original ECS instance name; Container Service automatically assigns a name. true: retain the original ECS instance name.
- kubernetes_
config NodeKubernetes Config Args - Kubernetes-related configuration for the node. If empty, the node inherits the default node pool's Kubernetes configuration: KubernetesConfig.Labels/Taints/Cordon. If custom configuration is provided, the node uses the custom configuration and ignores the default node pool's Kubernetes configuration.
- cluster
Id String - Cluster ID.
- node
Pool StringId - Node pool ID. If no parameter value is provided: add existing ECS instances to the default node pool. If a parameter value is provided: add existing ECS instances to a custom node pool.
- additional
Container BooleanStorage Enabled - Select the data disk for the node, format and mount it as the storage directory for container images and logs. Values: false (default): Disabled. Default node pool: indicates no data disk is mounted. Custom node pool: mounts according to the node pool's data disk configuration. ECS instance data disks added to the node pool must include the data disk specified for mounting by the target node pool (including local disks), and the disk type and size must match exactly. true: Enabled. You must also configure the ContainerStoragePath parameter. The node mounts according to the configuration in the ContainerStoragePath parameter and ignores the node pool's data disk configuration. There are no special requirements for ECS instance data disks added to the node pool.
- container
Storage StringPath - Use this data disk device to mount the container and image storage directory /var/lib/containerd. Valid only when AdditionalContainerStorageEnabled=true and cannot be empty. The following conditions must be met, otherwise initialization will fail: Only ECS instances with mounted data disks are supported. When specifying a data disk device name, ensure the device exists, otherwise initialization will fail. When specifying a data disk partition or logical volume name, ensure the partition or logical volume exists and uses the ext4 file system.
- image
Id String - Image ID used by the ECS instance corresponding to the node.
- initialize
Script String - Script executed after creating ECS nodes and deploying Kubernetes components. Supports Shell format. Base64-encoded length must not exceed 1 KB. If left empty, the node inherits the default node pool initialization script NodeConfig.InitializeScript. If you enter a custom script, the custom script will be used and the default node pool initialization script will be ignored.
- instance
Id String - Cloud server instance ID corresponding to the node.
- keep
Instance BooleanName - Whether to retain the original ECS instance name. Options: false (default): do not retain the original ECS instance name; Container Service automatically assigns a name. true: retain the original ECS instance name.
- kubernetes
Config Property Map - Kubernetes-related configuration for the node. If empty, the node inherits the default node pool's Kubernetes configuration: KubernetesConfig.Labels/Taints/Cordon. If custom configuration is provided, the node uses the custom configuration and ignores the default node pool's Kubernetes configuration.
Outputs
All input properties are implicitly available as output properties. Additionally, the Node resource produces the following output properties:
- Created
Time string - Creation time.
- Id string
- The provider-assigned unique ID for this managed resource.
- Is
Virtual bool - Is it a virtual node? Parameter value description: false: No, true: Yes.
- Name string
- Node name.
- Node
Id string - Node ID.
- Roles List<string>
- Node role. Parameter value description: Worker: Worker node.
- Status
Volcengine.
Node Status - Node status.
- Updated
Time string - Update time.
- Zone
Id string - Availability zone ID.
- Created
Time string - Creation time.
- Id string
- The provider-assigned unique ID for this managed resource.
- Is
Virtual bool - Is it a virtual node? Parameter value description: false: No, true: Yes.
- Name string
- Node name.
- Node
Id string - Node ID.
- Roles []string
- Node role. Parameter value description: Worker: Worker node.
- Status
Node
Status - Node status.
- Updated
Time string - Update time.
- Zone
Id string - Availability zone ID.
- created
Time String - Creation time.
- id String
- The provider-assigned unique ID for this managed resource.
- is
Virtual Boolean - Is it a virtual node? Parameter value description: false: No, true: Yes.
- name String
- Node name.
- node
Id String - Node ID.
- roles List<String>
- Node role. Parameter value description: Worker: Worker node.
- status
Node
Status - Node status.
- updated
Time String - Update time.
- zone
Id String - Availability zone ID.
- created
Time string - Creation time.
- id string
- The provider-assigned unique ID for this managed resource.
- is
Virtual boolean - Is it a virtual node? Parameter value description: false: No, true: Yes.
- name string
- Node name.
- node
Id string - Node ID.
- roles string[]
- Node role. Parameter value description: Worker: Worker node.
- status
Node
Status - Node status.
- updated
Time string - Update time.
- zone
Id string - Availability zone ID.
- created_
time str - Creation time.
- id str
- The provider-assigned unique ID for this managed resource.
- is_
virtual bool - Is it a virtual node? Parameter value description: false: No, true: Yes.
- name str
- Node name.
- node_
id str - Node ID.
- roles Sequence[str]
- Node role. Parameter value description: Worker: Worker node.
- status
Node
Status - Node status.
- updated_
time str - Update time.
- zone_
id str - Availability zone ID.
- created
Time String - Creation time.
- id String
- The provider-assigned unique ID for this managed resource.
- is
Virtual Boolean - Is it a virtual node? Parameter value description: false: No, true: Yes.
- name String
- Node name.
- node
Id String - Node ID.
- roles List<String>
- Node role. Parameter value description: Worker: Worker node.
- status Property Map
- Node status.
- updated
Time String - Update time.
- zone
Id String - Availability zone ID.
Look up Existing Node Resource
Get an existing Node resource’s state with the given name, ID, and optional extra properties used to qualify the lookup.
public static get(name: string, id: Input<ID>, state?: NodeState, opts?: CustomResourceOptions): Node@staticmethod
def get(resource_name: str,
id: str,
opts: Optional[ResourceOptions] = None,
additional_container_storage_enabled: Optional[bool] = None,
cluster_id: Optional[str] = None,
container_storage_path: Optional[str] = None,
created_time: Optional[str] = None,
image_id: Optional[str] = None,
initialize_script: Optional[str] = None,
instance_id: Optional[str] = None,
is_virtual: Optional[bool] = None,
keep_instance_name: Optional[bool] = None,
kubernetes_config: Optional[NodeKubernetesConfigArgs] = None,
name: Optional[str] = None,
node_id: Optional[str] = None,
node_pool_id: Optional[str] = None,
roles: Optional[Sequence[str]] = None,
status: Optional[NodeStatusArgs] = None,
updated_time: Optional[str] = None,
zone_id: Optional[str] = None) -> Nodefunc GetNode(ctx *Context, name string, id IDInput, state *NodeState, opts ...ResourceOption) (*Node, error)public static Node Get(string name, Input<string> id, NodeState? state, CustomResourceOptions? opts = null)public static Node get(String name, Output<String> id, NodeState state, CustomResourceOptions options)resources: _: type: volcenginecc:vke:Node get: id: ${id}- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- resource_name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- Additional
Container boolStorage Enabled - Select the data disk for the node, format and mount it as the storage directory for container images and logs. Values: false (default): Disabled. Default node pool: indicates no data disk is mounted. Custom node pool: mounts according to the node pool's data disk configuration. ECS instance data disks added to the node pool must include the data disk specified for mounting by the target node pool (including local disks), and the disk type and size must match exactly. true: Enabled. You must also configure the ContainerStoragePath parameter. The node mounts according to the configuration in the ContainerStoragePath parameter and ignores the node pool's data disk configuration. There are no special requirements for ECS instance data disks added to the node pool.
- Cluster
Id string - Cluster ID.
- Container
Storage stringPath - Use this data disk device to mount the container and image storage directory /var/lib/containerd. Valid only when AdditionalContainerStorageEnabled=true and cannot be empty. The following conditions must be met, otherwise initialization will fail: Only ECS instances with mounted data disks are supported. When specifying a data disk device name, ensure the device exists, otherwise initialization will fail. When specifying a data disk partition or logical volume name, ensure the partition or logical volume exists and uses the ext4 file system.
- Created
Time string - Creation time.
- Image
Id string - Image ID used by the ECS instance corresponding to the node.
- Initialize
Script string - Script executed after creating ECS nodes and deploying Kubernetes components. Supports Shell format. Base64-encoded length must not exceed 1 KB. If left empty, the node inherits the default node pool initialization script NodeConfig.InitializeScript. If you enter a custom script, the custom script will be used and the default node pool initialization script will be ignored.
- Instance
Id string - Cloud server instance ID corresponding to the node.
- Is
Virtual bool - Is it a virtual node? Parameter value description: false: No, true: Yes.
- Keep
Instance boolName - Whether to retain the original ECS instance name. Options: false (default): do not retain the original ECS instance name; Container Service automatically assigns a name. true: retain the original ECS instance name.
- Kubernetes
Config Volcengine.Node Kubernetes Config - Kubernetes-related configuration for the node. If empty, the node inherits the default node pool's Kubernetes configuration: KubernetesConfig.Labels/Taints/Cordon. If custom configuration is provided, the node uses the custom configuration and ignores the default node pool's Kubernetes configuration.
- Name string
- Node name.
- Node
Id string - Node ID.
- Node
Pool stringId - Node pool ID. If no parameter value is provided: add existing ECS instances to the default node pool. If a parameter value is provided: add existing ECS instances to a custom node pool.
- Roles List<string>
- Node role. Parameter value description: Worker: Worker node.
- Status
Volcengine.
Node Status - Node status.
- Updated
Time string - Update time.
- Zone
Id string - Availability zone ID.
- Additional
Container boolStorage Enabled - Select the data disk for the node, format and mount it as the storage directory for container images and logs. Values: false (default): Disabled. Default node pool: indicates no data disk is mounted. Custom node pool: mounts according to the node pool's data disk configuration. ECS instance data disks added to the node pool must include the data disk specified for mounting by the target node pool (including local disks), and the disk type and size must match exactly. true: Enabled. You must also configure the ContainerStoragePath parameter. The node mounts according to the configuration in the ContainerStoragePath parameter and ignores the node pool's data disk configuration. There are no special requirements for ECS instance data disks added to the node pool.
- Cluster
Id string - Cluster ID.
- Container
Storage stringPath - Use this data disk device to mount the container and image storage directory /var/lib/containerd. Valid only when AdditionalContainerStorageEnabled=true and cannot be empty. The following conditions must be met, otherwise initialization will fail: Only ECS instances with mounted data disks are supported. When specifying a data disk device name, ensure the device exists, otherwise initialization will fail. When specifying a data disk partition or logical volume name, ensure the partition or logical volume exists and uses the ext4 file system.
- Created
Time string - Creation time.
- Image
Id string - Image ID used by the ECS instance corresponding to the node.
- Initialize
Script string - Script executed after creating ECS nodes and deploying Kubernetes components. Supports Shell format. Base64-encoded length must not exceed 1 KB. If left empty, the node inherits the default node pool initialization script NodeConfig.InitializeScript. If you enter a custom script, the custom script will be used and the default node pool initialization script will be ignored.
- Instance
Id string - Cloud server instance ID corresponding to the node.
- Is
Virtual bool - Is it a virtual node? Parameter value description: false: No, true: Yes.
- Keep
Instance boolName - Whether to retain the original ECS instance name. Options: false (default): do not retain the original ECS instance name; Container Service automatically assigns a name. true: retain the original ECS instance name.
- Kubernetes
Config NodeKubernetes Config Args - Kubernetes-related configuration for the node. If empty, the node inherits the default node pool's Kubernetes configuration: KubernetesConfig.Labels/Taints/Cordon. If custom configuration is provided, the node uses the custom configuration and ignores the default node pool's Kubernetes configuration.
- Name string
- Node name.
- Node
Id string - Node ID.
- Node
Pool stringId - Node pool ID. If no parameter value is provided: add existing ECS instances to the default node pool. If a parameter value is provided: add existing ECS instances to a custom node pool.
- Roles []string
- Node role. Parameter value description: Worker: Worker node.
- Status
Node
Status Args - Node status.
- Updated
Time string - Update time.
- Zone
Id string - Availability zone ID.
- additional
Container BooleanStorage Enabled - Select the data disk for the node, format and mount it as the storage directory for container images and logs. Values: false (default): Disabled. Default node pool: indicates no data disk is mounted. Custom node pool: mounts according to the node pool's data disk configuration. ECS instance data disks added to the node pool must include the data disk specified for mounting by the target node pool (including local disks), and the disk type and size must match exactly. true: Enabled. You must also configure the ContainerStoragePath parameter. The node mounts according to the configuration in the ContainerStoragePath parameter and ignores the node pool's data disk configuration. There are no special requirements for ECS instance data disks added to the node pool.
- cluster
Id String - Cluster ID.
- container
Storage StringPath - Use this data disk device to mount the container and image storage directory /var/lib/containerd. Valid only when AdditionalContainerStorageEnabled=true and cannot be empty. The following conditions must be met, otherwise initialization will fail: Only ECS instances with mounted data disks are supported. When specifying a data disk device name, ensure the device exists, otherwise initialization will fail. When specifying a data disk partition or logical volume name, ensure the partition or logical volume exists and uses the ext4 file system.
- created
Time String - Creation time.
- image
Id String - Image ID used by the ECS instance corresponding to the node.
- initialize
Script String - Script executed after creating ECS nodes and deploying Kubernetes components. Supports Shell format. Base64-encoded length must not exceed 1 KB. If left empty, the node inherits the default node pool initialization script NodeConfig.InitializeScript. If you enter a custom script, the custom script will be used and the default node pool initialization script will be ignored.
- instance
Id String - Cloud server instance ID corresponding to the node.
- is
Virtual Boolean - Is it a virtual node? Parameter value description: false: No, true: Yes.
- keep
Instance BooleanName - Whether to retain the original ECS instance name. Options: false (default): do not retain the original ECS instance name; Container Service automatically assigns a name. true: retain the original ECS instance name.
- kubernetes
Config NodeKubernetes Config - Kubernetes-related configuration for the node. If empty, the node inherits the default node pool's Kubernetes configuration: KubernetesConfig.Labels/Taints/Cordon. If custom configuration is provided, the node uses the custom configuration and ignores the default node pool's Kubernetes configuration.
- name String
- Node name.
- node
Id String - Node ID.
- node
Pool StringId - Node pool ID. If no parameter value is provided: add existing ECS instances to the default node pool. If a parameter value is provided: add existing ECS instances to a custom node pool.
- roles List<String>
- Node role. Parameter value description: Worker: Worker node.
- status
Node
Status - Node status.
- updated
Time String - Update time.
- zone
Id String - Availability zone ID.
- additional
Container booleanStorage Enabled - Select the data disk for the node, format and mount it as the storage directory for container images and logs. Values: false (default): Disabled. Default node pool: indicates no data disk is mounted. Custom node pool: mounts according to the node pool's data disk configuration. ECS instance data disks added to the node pool must include the data disk specified for mounting by the target node pool (including local disks), and the disk type and size must match exactly. true: Enabled. You must also configure the ContainerStoragePath parameter. The node mounts according to the configuration in the ContainerStoragePath parameter and ignores the node pool's data disk configuration. There are no special requirements for ECS instance data disks added to the node pool.
- cluster
Id string - Cluster ID.
- container
Storage stringPath - Use this data disk device to mount the container and image storage directory /var/lib/containerd. Valid only when AdditionalContainerStorageEnabled=true and cannot be empty. The following conditions must be met, otherwise initialization will fail: Only ECS instances with mounted data disks are supported. When specifying a data disk device name, ensure the device exists, otherwise initialization will fail. When specifying a data disk partition or logical volume name, ensure the partition or logical volume exists and uses the ext4 file system.
- created
Time string - Creation time.
- image
Id string - Image ID used by the ECS instance corresponding to the node.
- initialize
Script string - Script executed after creating ECS nodes and deploying Kubernetes components. Supports Shell format. Base64-encoded length must not exceed 1 KB. If left empty, the node inherits the default node pool initialization script NodeConfig.InitializeScript. If you enter a custom script, the custom script will be used and the default node pool initialization script will be ignored.
- instance
Id string - Cloud server instance ID corresponding to the node.
- is
Virtual boolean - Is it a virtual node? Parameter value description: false: No, true: Yes.
- keep
Instance booleanName - Whether to retain the original ECS instance name. Options: false (default): do not retain the original ECS instance name; Container Service automatically assigns a name. true: retain the original ECS instance name.
- kubernetes
Config NodeKubernetes Config - Kubernetes-related configuration for the node. If empty, the node inherits the default node pool's Kubernetes configuration: KubernetesConfig.Labels/Taints/Cordon. If custom configuration is provided, the node uses the custom configuration and ignores the default node pool's Kubernetes configuration.
- name string
- Node name.
- node
Id string - Node ID.
- node
Pool stringId - Node pool ID. If no parameter value is provided: add existing ECS instances to the default node pool. If a parameter value is provided: add existing ECS instances to a custom node pool.
- roles string[]
- Node role. Parameter value description: Worker: Worker node.
- status
Node
Status - Node status.
- updated
Time string - Update time.
- zone
Id string - Availability zone ID.
- additional_
container_ boolstorage_ enabled - Select the data disk for the node, format and mount it as the storage directory for container images and logs. Values: false (default): Disabled. Default node pool: indicates no data disk is mounted. Custom node pool: mounts according to the node pool's data disk configuration. ECS instance data disks added to the node pool must include the data disk specified for mounting by the target node pool (including local disks), and the disk type and size must match exactly. true: Enabled. You must also configure the ContainerStoragePath parameter. The node mounts according to the configuration in the ContainerStoragePath parameter and ignores the node pool's data disk configuration. There are no special requirements for ECS instance data disks added to the node pool.
- cluster_
id str - Cluster ID.
- container_
storage_ strpath - Use this data disk device to mount the container and image storage directory /var/lib/containerd. Valid only when AdditionalContainerStorageEnabled=true and cannot be empty. The following conditions must be met, otherwise initialization will fail: Only ECS instances with mounted data disks are supported. When specifying a data disk device name, ensure the device exists, otherwise initialization will fail. When specifying a data disk partition or logical volume name, ensure the partition or logical volume exists and uses the ext4 file system.
- created_
time str - Creation time.
- image_
id str - Image ID used by the ECS instance corresponding to the node.
- initialize_
script str - Script executed after creating ECS nodes and deploying Kubernetes components. Supports Shell format. Base64-encoded length must not exceed 1 KB. If left empty, the node inherits the default node pool initialization script NodeConfig.InitializeScript. If you enter a custom script, the custom script will be used and the default node pool initialization script will be ignored.
- instance_
id str - Cloud server instance ID corresponding to the node.
- is_
virtual bool - Is it a virtual node? Parameter value description: false: No, true: Yes.
- keep_
instance_ boolname - Whether to retain the original ECS instance name. Options: false (default): do not retain the original ECS instance name; Container Service automatically assigns a name. true: retain the original ECS instance name.
- kubernetes_
config NodeKubernetes Config Args - Kubernetes-related configuration for the node. If empty, the node inherits the default node pool's Kubernetes configuration: KubernetesConfig.Labels/Taints/Cordon. If custom configuration is provided, the node uses the custom configuration and ignores the default node pool's Kubernetes configuration.
- name str
- Node name.
- node_
id str - Node ID.
- node_
pool_ strid - Node pool ID. If no parameter value is provided: add existing ECS instances to the default node pool. If a parameter value is provided: add existing ECS instances to a custom node pool.
- roles Sequence[str]
- Node role. Parameter value description: Worker: Worker node.
- status
Node
Status Args - Node status.
- updated_
time str - Update time.
- zone_
id str - Availability zone ID.
- additional
Container BooleanStorage Enabled - Select the data disk for the node, format and mount it as the storage directory for container images and logs. Values: false (default): Disabled. Default node pool: indicates no data disk is mounted. Custom node pool: mounts according to the node pool's data disk configuration. ECS instance data disks added to the node pool must include the data disk specified for mounting by the target node pool (including local disks), and the disk type and size must match exactly. true: Enabled. You must also configure the ContainerStoragePath parameter. The node mounts according to the configuration in the ContainerStoragePath parameter and ignores the node pool's data disk configuration. There are no special requirements for ECS instance data disks added to the node pool.
- cluster
Id String - Cluster ID.
- container
Storage StringPath - Use this data disk device to mount the container and image storage directory /var/lib/containerd. Valid only when AdditionalContainerStorageEnabled=true and cannot be empty. The following conditions must be met, otherwise initialization will fail: Only ECS instances with mounted data disks are supported. When specifying a data disk device name, ensure the device exists, otherwise initialization will fail. When specifying a data disk partition or logical volume name, ensure the partition or logical volume exists and uses the ext4 file system.
- created
Time String - Creation time.
- image
Id String - Image ID used by the ECS instance corresponding to the node.
- initialize
Script String - Script executed after creating ECS nodes and deploying Kubernetes components. Supports Shell format. Base64-encoded length must not exceed 1 KB. If left empty, the node inherits the default node pool initialization script NodeConfig.InitializeScript. If you enter a custom script, the custom script will be used and the default node pool initialization script will be ignored.
- instance
Id String - Cloud server instance ID corresponding to the node.
- is
Virtual Boolean - Is it a virtual node? Parameter value description: false: No, true: Yes.
- keep
Instance BooleanName - Whether to retain the original ECS instance name. Options: false (default): do not retain the original ECS instance name; Container Service automatically assigns a name. true: retain the original ECS instance name.
- kubernetes
Config Property Map - Kubernetes-related configuration for the node. If empty, the node inherits the default node pool's Kubernetes configuration: KubernetesConfig.Labels/Taints/Cordon. If custom configuration is provided, the node uses the custom configuration and ignores the default node pool's Kubernetes configuration.
- name String
- Node name.
- node
Id String - Node ID.
- node
Pool StringId - Node pool ID. If no parameter value is provided: add existing ECS instances to the default node pool. If a parameter value is provided: add existing ECS instances to a custom node pool.
- roles List<String>
- Node role. Parameter value description: Worker: Worker node.
- status Property Map
- Node status.
- updated
Time String - Update time.
- zone
Id String - Availability zone ID.
Supporting Types
NodeKubernetesConfig, NodeKubernetesConfigArgs
- Cordon bool
- Node lock configuration. Options: false (default): not locked; true: locked
- Labels
List<Volcengine.
Node Kubernetes Config Label> - Taints
List<Volcengine.
Node Kubernetes Config Taint>
- Cordon bool
- Node lock configuration. Options: false (default): not locked; true: locked
- Labels
[]Node
Kubernetes Config Label - Taints
[]Node
Kubernetes Config Taint
- cordon Boolean
- Node lock configuration. Options: false (default): not locked; true: locked
- labels
List<Node
Kubernetes Config Label> - taints
List<Node
Kubernetes Config Taint>
- cordon boolean
- Node lock configuration. Options: false (default): not locked; true: locked
- labels
Node
Kubernetes Config Label[] - taints
Node
Kubernetes Config Taint[]
- cordon bool
- Node lock configuration. Options: false (default): not locked; true: locked
- labels
Sequence[Node
Kubernetes Config Label] - taints
Sequence[Node
Kubernetes Config Taint]
- cordon Boolean
- Node lock configuration. Options: false (default): not locked; true: locked
- labels List<Property Map>
- taints List<Property Map>
NodeKubernetesConfigLabel, NodeKubernetesConfigLabelArgs
- Key string
- Label key. A valid label key consists of two parts: \n\n and \n\n, separated by a slash (/). \n\n is required and supports uppercase and lowercase English letters, numbers, hyphens (-), underscores (_), and periods (.), must start and end with a letter or number, and must not exceed 63 characters. \n\n is optional. If specified, \n\n must be a DNS subdomain: a series of DNS labels separated by periods (.), with a maximum length of 253 characters. The total length of \n\n and \n\n must not exceed 82 characters.
- Value string
- Tag value, up to 63 characters (can be empty). Can start and end with an English letter (upper or lower case) or a digit. Supported special characters: hyphen (-), underscore (_), period (.).
- Key string
- Label key. A valid label key consists of two parts: \n\n and \n\n, separated by a slash (/). \n\n is required and supports uppercase and lowercase English letters, numbers, hyphens (-), underscores (_), and periods (.), must start and end with a letter or number, and must not exceed 63 characters. \n\n is optional. If specified, \n\n must be a DNS subdomain: a series of DNS labels separated by periods (.), with a maximum length of 253 characters. The total length of \n\n and \n\n must not exceed 82 characters.
- Value string
- Tag value, up to 63 characters (can be empty). Can start and end with an English letter (upper or lower case) or a digit. Supported special characters: hyphen (-), underscore (_), period (.).
- key String
- Label key. A valid label key consists of two parts: \n\n and \n\n, separated by a slash (/). \n\n is required and supports uppercase and lowercase English letters, numbers, hyphens (-), underscores (_), and periods (.), must start and end with a letter or number, and must not exceed 63 characters. \n\n is optional. If specified, \n\n must be a DNS subdomain: a series of DNS labels separated by periods (.), with a maximum length of 253 characters. The total length of \n\n and \n\n must not exceed 82 characters.
- value String
- Tag value, up to 63 characters (can be empty). Can start and end with an English letter (upper or lower case) or a digit. Supported special characters: hyphen (-), underscore (_), period (.).
- key string
- Label key. A valid label key consists of two parts: \n\n and \n\n, separated by a slash (/). \n\n is required and supports uppercase and lowercase English letters, numbers, hyphens (-), underscores (_), and periods (.), must start and end with a letter or number, and must not exceed 63 characters. \n\n is optional. If specified, \n\n must be a DNS subdomain: a series of DNS labels separated by periods (.), with a maximum length of 253 characters. The total length of \n\n and \n\n must not exceed 82 characters.
- value string
- Tag value, up to 63 characters (can be empty). Can start and end with an English letter (upper or lower case) or a digit. Supported special characters: hyphen (-), underscore (_), period (.).
- key str
- Label key. A valid label key consists of two parts: \n\n and \n\n, separated by a slash (/). \n\n is required and supports uppercase and lowercase English letters, numbers, hyphens (-), underscores (_), and periods (.), must start and end with a letter or number, and must not exceed 63 characters. \n\n is optional. If specified, \n\n must be a DNS subdomain: a series of DNS labels separated by periods (.), with a maximum length of 253 characters. The total length of \n\n and \n\n must not exceed 82 characters.
- value str
- Tag value, up to 63 characters (can be empty). Can start and end with an English letter (upper or lower case) or a digit. Supported special characters: hyphen (-), underscore (_), period (.).
- key String
- Label key. A valid label key consists of two parts: \n\n and \n\n, separated by a slash (/). \n\n is required and supports uppercase and lowercase English letters, numbers, hyphens (-), underscores (_), and periods (.), must start and end with a letter or number, and must not exceed 63 characters. \n\n is optional. If specified, \n\n must be a DNS subdomain: a series of DNS labels separated by periods (.), with a maximum length of 253 characters. The total length of \n\n and \n\n must not exceed 82 characters.
- value String
- Tag value, up to 63 characters (can be empty). Can start and end with an English letter (upper or lower case) or a digit. Supported special characters: hyphen (-), underscore (_), period (.).
NodeKubernetesConfigTaint, NodeKubernetesConfigTaintArgs
- Effect string
- Taint effect. Options: NoSchedule (default): Do not schedule. NoExecute: Evict Pods that do not tolerate the taint. PreferNoSchedule: Avoid scheduling if possible.
- Key string
- Taint key. A valid taint key has two segments: \n\n and \n\n, separated by a slash (/). \n\n is required and supports English letters (case-sensitive), numbers, hyphen (-), underscore (_), and period (.), must start and end with a letter or number, and be no longer than 63 characters. \n\n is optional. If specified, \n\n must be a DNS subdomain: a series of DNS labels separated by periods (.), no longer than 253 characters. The total length of \n\n and \n\n must not exceed 82 characters.
- Value string
- Taint value, up to 63 characters (can be empty). Must start and end with an English letter or number. Supports special characters: hyphen (-), underscore (_), and period (.).
- Effect string
- Taint effect. Options: NoSchedule (default): Do not schedule. NoExecute: Evict Pods that do not tolerate the taint. PreferNoSchedule: Avoid scheduling if possible.
- Key string
- Taint key. A valid taint key has two segments: \n\n and \n\n, separated by a slash (/). \n\n is required and supports English letters (case-sensitive), numbers, hyphen (-), underscore (_), and period (.), must start and end with a letter or number, and be no longer than 63 characters. \n\n is optional. If specified, \n\n must be a DNS subdomain: a series of DNS labels separated by periods (.), no longer than 253 characters. The total length of \n\n and \n\n must not exceed 82 characters.
- Value string
- Taint value, up to 63 characters (can be empty). Must start and end with an English letter or number. Supports special characters: hyphen (-), underscore (_), and period (.).
- effect String
- Taint effect. Options: NoSchedule (default): Do not schedule. NoExecute: Evict Pods that do not tolerate the taint. PreferNoSchedule: Avoid scheduling if possible.
- key String
- Taint key. A valid taint key has two segments: \n\n and \n\n, separated by a slash (/). \n\n is required and supports English letters (case-sensitive), numbers, hyphen (-), underscore (_), and period (.), must start and end with a letter or number, and be no longer than 63 characters. \n\n is optional. If specified, \n\n must be a DNS subdomain: a series of DNS labels separated by periods (.), no longer than 253 characters. The total length of \n\n and \n\n must not exceed 82 characters.
- value String
- Taint value, up to 63 characters (can be empty). Must start and end with an English letter or number. Supports special characters: hyphen (-), underscore (_), and period (.).
- effect string
- Taint effect. Options: NoSchedule (default): Do not schedule. NoExecute: Evict Pods that do not tolerate the taint. PreferNoSchedule: Avoid scheduling if possible.
- key string
- Taint key. A valid taint key has two segments: \n\n and \n\n, separated by a slash (/). \n\n is required and supports English letters (case-sensitive), numbers, hyphen (-), underscore (_), and period (.), must start and end with a letter or number, and be no longer than 63 characters. \n\n is optional. If specified, \n\n must be a DNS subdomain: a series of DNS labels separated by periods (.), no longer than 253 characters. The total length of \n\n and \n\n must not exceed 82 characters.
- value string
- Taint value, up to 63 characters (can be empty). Must start and end with an English letter or number. Supports special characters: hyphen (-), underscore (_), and period (.).
- effect str
- Taint effect. Options: NoSchedule (default): Do not schedule. NoExecute: Evict Pods that do not tolerate the taint. PreferNoSchedule: Avoid scheduling if possible.
- key str
- Taint key. A valid taint key has two segments: \n\n and \n\n, separated by a slash (/). \n\n is required and supports English letters (case-sensitive), numbers, hyphen (-), underscore (_), and period (.), must start and end with a letter or number, and be no longer than 63 characters. \n\n is optional. If specified, \n\n must be a DNS subdomain: a series of DNS labels separated by periods (.), no longer than 253 characters. The total length of \n\n and \n\n must not exceed 82 characters.
- value str
- Taint value, up to 63 characters (can be empty). Must start and end with an English letter or number. Supports special characters: hyphen (-), underscore (_), and period (.).
- effect String
- Taint effect. Options: NoSchedule (default): Do not schedule. NoExecute: Evict Pods that do not tolerate the taint. PreferNoSchedule: Avoid scheduling if possible.
- key String
- Taint key. A valid taint key has two segments: \n\n and \n\n, separated by a slash (/). \n\n is required and supports English letters (case-sensitive), numbers, hyphen (-), underscore (_), and period (.), must start and end with a letter or number, and be no longer than 63 characters. \n\n is optional. If specified, \n\n must be a DNS subdomain: a series of DNS labels separated by periods (.), no longer than 253 characters. The total length of \n\n and \n\n must not exceed 82 characters.
- value String
- Taint value, up to 63 characters (can be empty). Must start and end with an English letter or number. Supports special characters: hyphen (-), underscore (_), and period (.).
NodeStatus, NodeStatusArgs
- Conditions
List<Volcengine.
Node Status Condition> - Phase string
- Node status. Parameter values: Creating, Running, Deleting, Failed, Updating.
- Conditions
[]Node
Status Condition - Phase string
- Node status. Parameter values: Creating, Running, Deleting, Failed, Updating.
- conditions
List<Node
Status Condition> - phase String
- Node status. Parameter values: Creating, Running, Deleting, Failed, Updating.
- conditions
Node
Status Condition[] - phase string
- Node status. Parameter values: Creating, Running, Deleting, Failed, Updating.
- conditions
Sequence[Node
Status Condition] - phase str
- Node status. Parameter values: Creating, Running, Deleting, Failed, Updating.
- conditions List<Property Map>
- phase String
- Node status. Parameter values: Creating, Running, Deleting, Failed, Updating.
NodeStatusCondition, NodeStatusConditionArgs
- Type string
- Status condition under the node's current primary state, indicating the reason for entering this primary state. There can be multiple reasons. Parameter values: Progressing, Ok, Unschedulable, InitilizeFailed, NotReady, Balance, ResourceCleanupFailed, Unknown.
- Type string
- Status condition under the node's current primary state, indicating the reason for entering this primary state. There can be multiple reasons. Parameter values: Progressing, Ok, Unschedulable, InitilizeFailed, NotReady, Balance, ResourceCleanupFailed, Unknown.
- type String
- Status condition under the node's current primary state, indicating the reason for entering this primary state. There can be multiple reasons. Parameter values: Progressing, Ok, Unschedulable, InitilizeFailed, NotReady, Balance, ResourceCleanupFailed, Unknown.
- type string
- Status condition under the node's current primary state, indicating the reason for entering this primary state. There can be multiple reasons. Parameter values: Progressing, Ok, Unschedulable, InitilizeFailed, NotReady, Balance, ResourceCleanupFailed, Unknown.
- type str
- Status condition under the node's current primary state, indicating the reason for entering this primary state. There can be multiple reasons. Parameter values: Progressing, Ok, Unschedulable, InitilizeFailed, NotReady, Balance, ResourceCleanupFailed, Unknown.
- type String
- Status condition under the node's current primary state, indicating the reason for entering this primary state. There can be multiple reasons. Parameter values: Progressing, Ok, Unschedulable, InitilizeFailed, NotReady, Balance, ResourceCleanupFailed, Unknown.
Import
$ pulumi import volcenginecc:vke/node:Node example "cluster_id|node_pool_id|node_id"
To learn more about importing existing cloud resources, see Importing resources.
Package Details
- Repository
- volcenginecc volcengine/pulumi-volcenginecc
- License
- MPL-2.0
- Notes
- This Pulumi package is based on the
volcengineccTerraform Provider.
published on Thursday, Apr 23, 2026 by Volcengine
